Bug 85825 - TOOLBAR: Unify alignment tooltips
Summary: TOOLBAR: Unify alignment tooltips
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0 target:4.5.0 target:4.4.1
Keywords:
Depends on:
Blocks: Toolbars Unify-Across-Apps
  Show dependency treegraph
 
Reported: 2014-11-03 23:04 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 20:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-11-03 23:04:41 UTC
This should be changed to 'Centered', so that it is the same as Writer, Impress and Draw.
Comment 1 Maxim Monastirsky 2014-11-04 08:23:15 UTC
IMHO it's important to keep to word "Horizontally", to indicate that it centers only horizontally. You can see what I mean, when a cell is higher that the text height. And there is similar (hidden) button "Align Center Vertically", which does only vertial alignment.
Comment 2 Yousuf Philips (jay) (retired) 2014-11-04 11:37:57 UTC
I'm assuming that everyone seeing the left, center, right, justified icons next to each other is aware that these only refer to horizontal alignment and those seeing the top, center, bottom icons next to each other is aware these only refer to vertical alignment.

Just noticed that Writer uses 'Top', 'Center ( vertical )', and 'Bottom', while Calc uses 'Align Top', 'Align Center Vertically' and 'Align Bottom'. It would be good to streamline these names as well.
Comment 3 Maxim Monastirsky 2014-11-04 12:08:53 UTC
(In reply to Jay Philips from comment #2)
> I'm assuming that everyone seeing the left, center, right, justified icons
> next to each other is aware that these only refer to horizontal alignment
OK makes sense. But in that case maybe we need to change the "Align Center Vertically" to something like "Centered Vertically", so it won't lose the consistency with the horizontal one?

> Just noticed that Writer uses 'Top', 'Center ( vertical )', and 'Bottom',
> while Calc uses 'Align Top', 'Align Center Vertically' and 'Align Bottom'.
> It would be good to streamline these names as well.
Agree. I think that the Writer ones need to be changed.
Comment 4 Yousuf Philips (jay) (retired) 2014-11-05 07:45:48 UTC
The weird thing is that Format > Alignment has these as

Default
Left
Centered
Right
Justified
- separator -
Top
Center
Bottom

I think its worth removing 'Align' and 'Vertically' from all of these, as these are tooltips for buttons with icons, which illustrate what they already do.
Comment 5 Yousuf Philips (jay) (retired) 2014-11-06 03:20:26 UTC
Issue was discussed in design meeting and it was decided to unify all as

Align Left, Center Horizontally, Align Right, Justified
Align Top, Center Vertically, Align Bottom

Patch submitted - https://gerrit.libreoffice.org/12272
Comment 6 Samuel Mehrbrodt (CIB) 2014-11-06 08:12:15 UTC
> Align Left, Center Horizontally, Align Right, Justified
> Align Top, Center Vertically, Align Bottom

Did we decide to use 'Center Vertically' and 'Center Horizontally'?
I would prefer 'Align Middle' for vertical alignment and 'Align Center' for horizontal alignment.
Comment 7 A (Andy) 2014-11-06 10:05:55 UTC
I appreciate that the naming is now uniformed.

I also have to remark that I was not involved in this discussion.  But for me the solution seems to be ok, because with this you have an unambiguous and uniform naming, especially if you want to have uniform terms.

But of course, "Align Middle" would also be possible, because MSO uses it and maybe many would associate "Middle" with the middle of a human body, so something vertical, but from my point of view it can also be used for horizontal aligment?  If somebody asks you to place a ball in the middle of an empty room most will probably place it on the floor in the middle and would not say this impossible for me without tools because this means I have to place it vertical in the middle.  Of course, maybe a strange example ... I only wanted to say that I would also use it horizontally.
And if I take a look at dictionaries, then "middle" is the name for a point equally distant from two other points or extremes.  Therefore, for me middle could maybe also be interpreted horizontally?  And if you would only have the name "Align Middle" for a function to align objects with no further explanation, hints and no icons, would it be sure for you that this means vertical and not horizontal, thus be bijective?

But why would you prefer "Middle"?
  
I also want to note and emphasise that I am NOT a native English speaker!  That's why, please correct if I am wrong.  Maybe, we have here also an English native speaker who could help, because I could live with BOTH, but "Center Vertically" could maybe be a litte bit more bijective?  For me it would also be very important to have also feedbacks from English native speakers to assess this issue.  Maybe also from a linguist?

And what do other software use?  Do they use more "Align Middle" or something like "Center Vertically"?  
Thus, should we better switch to "Aling Middle"?
Comment 8 A (Andy) 2014-11-06 10:16:56 UTC
When I thought about this bug report I had another question.

If you open IMPRESS and click into the main text area and then go to FORMAT -> PARAGRAPH -> tab ALIGNMENT.  Why do I have only the option to align it horizontally?  If I look at the Sidebar, then I have for the parapraph alignment also the option to align it vertically and this I would also expect in the above mentioned paragraph dialogue box.  Is this maybe another bug?

(tested with LO 4.3.3.2)
Comment 9 Maxim Monastirsky 2014-11-06 10:25:23 UTC
(In reply to A (Andy) from comment #8)
> If you open IMPRESS and click into the main text area and then go to FORMAT
> -> PARAGRAPH -> tab ALIGNMENT.  Why do I have only the option to align it
> horizontally?  If I look at the Sidebar, then I have for the parapraph
> alignment also the option to align it vertically and this I would also
> expect in the above mentioned paragraph dialogue box.
The Sidebar seems to manipulate the "Text Anchor" attribute from Format->Text... in that case.
Comment 10 Yousuf Philips (jay) (retired) 2014-11-06 11:50:46 UTC
Here is the list from other office suites

MS Office:
Align Left, Center, Alight Right, Justify
Top Align, Middle Align, Bottom Align

iWork:
Pages (menu): Align Left, Align Center, Align Right, Justify

Google Docs:
Docs: Left Align, Center Align, Right Align, Justify
Sheets: Horizontal Align (Left, Center, Right), Vertical Align (Top, Middle, Bottom)

WordPerfect:
Left, Right, Center, Full
Top, Center, Bottom

Calligra:
Words: Align Left, Align Center, Align Right, Align Block
Sheets: Left Justify, Center, Align Right, Align Top, Align Centered, Align Bottom

(In reply to Samuel Mehrbrodt from comment #6)
> Did we decide to use 'Center Vertically' and 'Center Horizontally'?
> I would prefer 'Align Middle' for vertical alignment and 'Align Center' for
> horizontal alignment.

I believe their will be problems with using center and middle, is they are synonyms (interchangeable words) and this will also prove difficult when translating as for example in arabic, 'Align Center' and 'Align Middle' would be translated as the exact same thing.
Comment 11 Commit Notification 2014-11-08 09:56:37 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7c8b76b67b132fc79af75d4305528f2db1d9539

fdo#85825 unify alignment tooltips

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-02-05 10:57:52 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=530226ca69f58bdb780a6864372f9de329c93e5b

fdo#85825 incorrectly used 'vertically' for 'horizontally'

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2015-02-06 14:36:11 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dccaa2b12871b801aacba3e358a8e34829218b49&h=libreoffice-4-4

fdo#85825 incorrectly used 'vertically' for 'horizontally' (4.4)

It will be available in 4.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.